/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: StartMultiServer.java,v 1.1.2.3 2000/02/13 03:32:47 pmahar Exp $
 */

package org.enhydra.jbuilder.sample;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class StartMultiServer extends JFrame {
  GridBagLayout layoutMain = new GridBagLayout();
  JButton button = new JButton();

  public static void main(String[] args) {

    try {
      String systemLook = UIManager.getSystemLookAndFeelClassName();
      UIManager.setLookAndFeel(systemLook);
    }
    catch (javax.swing.UnsupportedLookAndFeelException e) {}
    catch (IllegalAccessException e) {}
    catch (InstantiationException e) {}
    catch (ClassNotFoundException e) {};

    if (args == null || args.length < 1) {
      args = new String[1];
// For JBuilder Foundation: Change the next line from a relative to an absolute path.      
      args[0] = "..\\..\\..\\..\\conf\\multiserver.conf";
    }
    com.lutris.servlet.multiServer.MultiServer.main(args);
    StartMultiServer frame = new StartMultiServer();
    frame.show();
  }

  public StartMultiServer() {
    enableEvents(java.awt.AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }


  public void show() {
    setResizable(false);
    Point cPoint;
    invalidate();
    doLayout();
    pack();
    cPoint = getCenteringPoint(getSize());
    setLocation(cPoint);
    super.show();
  }

  protected void processWindowEvent(java.awt.event.WindowEvent e) {
    super.processWindowEvent(e);
    if (e.getID() == java.awt.event.WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }

  private void buttonStopAction() {
    System.exit(0);
  }

  private void jbInit() throws Exception  {
    this.setTitle("MultiServer");

    this.getContentPane().setLayout(layoutMain);
    this.setSize(new Dimension(200, 200));

    button.setText("Shutdown MultiServer");
    button.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        buttonStopAction();
      }
    });
    this.getContentPane().add(button, new GridBagConstraints(0, 0, 1, 1, 0.5, 0.5
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(25, 25, 25, 25), 5, 5));

    this.setSize(new Dimension(500, 250));

  }

  private Point getCenteringPoint(Dimension size) {
    Point centeringPoint = new Point();
    Dimension screenSize;
    screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    if (size.height > screenSize.height) {
      size.height = screenSize.height;
    }
    if (size.width > screenSize.width) {
      size.width = screenSize.width;
    }
    centeringPoint.x = (screenSize.width  - size.width)  / 2;
    centeringPoint.y = (screenSize.height - size.height) / 2;
    return centeringPoint;
  }


}

