/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: DirectoryFilter.java,v 1.1.2.4 2000/02/13 03:41:05 pmahar Exp $
 */


package org.enhydra.devsys.swing;

import javax.swing.filechooser.*;
import java.io.*;

/**
 * DirectoryFilter restricts file sets to only those files that are
 * directories. Use this with JFileChooser to create a directory
 * chooser.
 * 
 * 
 * @author
 * Slim Heilpern
 * 
 * @version %I%, %G%
 */
public class DirectoryFilter extends javax.swing.filechooser.FileFilter {

    /**
     * Check to see if the passed in file is a directory.
     * 
     * 
     * @param f
     * File to check.
     * 
     * @return
     * True if the file is a directory.
     * 
     */
    public boolean accept(File f) {
	return f.isDirectory();
    } 

    /**
     * Get a description of this filter.
     * 
     * @return
     * The description of this filter.
     * 
     */
    public String getDescription() {
	return "Directories";
    } 

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

