/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: NewAppProperties.java,v 1.1.2.5 2000/02/13 03:41:08 pmahar Exp $
 */

package org.enhydra.devsys.wizard.newapp;
/**
 * The NewAppProperties interface defines a set of properties needed
 * to generate a new application. The interface is implemented by
 * some of the user interface classes that make up the new application
 * wizard.
 *
 * @author
 * Paul Mahar
 * @version %I%, %G%
 */
public interface NewAppProperties {

    /**
     * Get the name to use when generating an Enhydra app. The name
     * is the directory in which the generated code will reside.
     */
    public String getAppName();

    /**
     * Set the name to use when generating an application. The name
     * must be a valid directory name.
     */
    public void setAppName(String n);

    /**
     * Get the root directory where to create the application directory.
     */
    public String getRootDir();

    /**
     * Set the root directory where to create the application directory.
     */
    public void setRootDir(String d);

    /**
     * Get the package name to use when generating an application. This should
     * be a single package name.
     */
    public String getPackageName();

    /**
     * Set the package name to use when generating an application. This should
     * be a single package name.
     */
    public void setPackageName(String n);

    /**
     * Get the Enhydra home directory. The default is /usr/local/enhydra.
     */
    public String getEnhydraDir();

    /**
     * Set the Enhydra home directory. The default is /usr/local/enhydra.
     */
    public void setEnhydraDir(String d);

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

