/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: ConfirmRemoveDialog.java,v 1.1.2.4 2000/02/13 03:41:11 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.common.wizard.xmlc;

import org.enhydra.devsys.swing.GridBagConstraintsX;
import org.enhydra.devsys.swing.SwingUtil;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class ConfirmRemoveDialog extends JDialog {
    public static final int ACTION_OK = 0;
    public static final int ACTION_CANCEL = 1;
    private int		    option = ACTION_CANCEL;
    private JPanel	    panel1 = new JPanel();
    private JPanel	    panel2 = new JPanel();
    private JButton	    button1 = new JButton();
    private JButton	    button2 = new JButton();
    private Border	    border1;
    private JPanel	    jPanel1 = new JPanel();
    private GridBagLayout   gridBagLayout1 = new GridBagLayout();
    private GridLayout      gridLayout1 = new GridLayout();
    private JLabel	    alertMessage;

    /**
     * Constructor declaration
     *
     *
     * @param frame
     * @param title
     * @param modal
     *
     * @see
     */
    public ConfirmRemoveDialog(Frame frame, String title, boolean modal) {
	super(frame, title, modal);

	try {
	    jbInit();
	} catch (Exception e) {
	    e.printStackTrace();
	}

	pack();
    }

    /**
     * Constructor declaration
     *
     *
     * @param owner
     * @param title
     * @param modal
     *
     * @see
     */
    public ConfirmRemoveDialog(JDialog owner, String title, boolean modal) {
	super(owner, title, modal);

	try {
	    jbInit();
	} catch (Exception e) {
	    e.printStackTrace();
	}

	pack();
    }

    /**
     * Constructor declaration
     *
     *
     * @param frame
     * @param title
     *
     * @see
     */
    public ConfirmRemoveDialog(Frame frame, String title) {
	this(frame, title, false);
    }

    /**
     * Constructor declaration
     *
     *
     * @param frame
     *
     * @see
     */
    public ConfirmRemoveDialog(Frame frame) {
	this(frame, "", false);
    }

    /**
     * Method declaration
     *
     *
     * @param s
     *
     * @see
     */
    public void SetAlertMessage(String s) {
	alertMessage.setText(s);
    }

    /**
     * Method declaration
     *
     *
     * @see
     */
    public void show() {
	setResizable(false);

	Point cPoint;

	invalidate();
	doLayout();
	pack();

	cPoint = SwingUtil.getCenteringPoint(getSize());

	setLocation(cPoint);
	super.show();
    }

    /**
     * Method declaration
     *
     *
     * @throws Exception
     *
     * @see
     */
    private void jbInit() throws Exception {
	border1 = BorderFactory.createRaisedBevelBorder();
	alertMessage = (JLabel) Beans.instantiate(getClass().getClassLoader(),
						  JLabel.class.getName());

	jPanel1.setLayout(gridLayout1);
	button1.setText("OK");
	button1.addActionListener(new ConfirmRemoveDialog_button1_actionAdapter(this));
	button2.setText("Cancel");
	gridLayout1.setHgap(4);
	button2.addActionListener(new ConfirmRemoveDialog_button2_actionAdapter(this));
	this.addWindowListener(new ConfirmRemoveDialog_this_windowAdapter(this));
	panel1.setLayout(gridBagLayout1);
	alertMessage.setHorizontalAlignment(SwingConstants.CENTER);
	alertMessage.setHorizontalTextPosition(SwingConstants.CENTER);
	alertMessage.setText("default message");
	panel1.add(jPanel1,
		   new GridBagConstraintsX(0, 1, 1, 1, 1.0, 0.0,
					  GridBagConstraints.CENTER,
					  GridBagConstraints.NONE,
					  new Insets(4, 8, 4, 8), 0, 0));
	jPanel1.add(button1, null);
	jPanel1.add(button2, null);
	panel1.add(panel2,
		   new GridBagConstraintsX(0, 0, 1, 1, 1.0, 1.0,
					  GridBagConstraints.NORTHEAST,
					  GridBagConstraints.BOTH,
					  new Insets(-4, 0, 4, 0), 0, 0));
	panel2.add(alertMessage, null);
	getContentPane().add(panel1);
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    protected int getOption() {
	return option;
    }

    /**
     * Method declaration
     *
     *
     * @param o
     *
     * @see
     */
    private void setOption(int o) {
	option = o;
    }

    // OK

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    void button1_actionPerformed(ActionEvent e) {
	setOption(ACTION_OK);
	dispose();
    }

    // Cancel

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    void button2_actionPerformed(ActionEvent e) {
	setOption(ACTION_CANCEL);
	dispose();
    }

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    void this_windowClosing(WindowEvent e) {
	dispose();
    }

}

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
class ConfirmRemoveDialog_button1_actionAdapter implements ActionListener {
    ConfirmRemoveDialog adaptee;

    /**
     * Constructor declaration
     *
     *
     * @param adaptee
     *
     * @see
     */
    ConfirmRemoveDialog_button1_actionAdapter(ConfirmRemoveDialog adaptee) {
	this.adaptee = adaptee;
    }

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    public void actionPerformed(ActionEvent e) {
	adaptee.button1_actionPerformed(e);
    }

}

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
class ConfirmRemoveDialog_button2_actionAdapter implements ActionListener {
    ConfirmRemoveDialog adaptee;

    /**
     * Constructor declaration
     *
     *
     * @param adaptee
     *
     * @see
     */
    ConfirmRemoveDialog_button2_actionAdapter(ConfirmRemoveDialog adaptee) {
	this.adaptee = adaptee;
    }

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    public void actionPerformed(ActionEvent e) {
	adaptee.button2_actionPerformed(e);
    }

}

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
class ConfirmRemoveDialog_this_windowAdapter extends WindowAdapter {
    ConfirmRemoveDialog adaptee;

    /**
     * Constructor declaration
     *
     *
     * @param adaptee
     *
     * @see
     */
    ConfirmRemoveDialog_this_windowAdapter(ConfirmRemoveDialog adaptee) {
	this.adaptee = adaptee;
    }

    /**
     * Method declaration
     *
     *
     * @param e
     *
     * @see
     */
    public void windowClosing(WindowEvent e) {
	adaptee.this_windowClosing(e);
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

