/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: EnhydraAppPage.java,v 1.1.2.5 2000/02/13 03:41:14 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.primetime.wizard.newapp;

import org.enhydra.devsys.swing.IconSet;
import org.enhydra.devsys.wizard.newapp.NewAppPanel;
import org.enhydra.devsys.wizard.newapp.NewAppProperties;
import com.borland.primetime.wizard.BasicWizardPage;
import javax.swing.*;
import java.awt.*;
import java.beans.*;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class EnhydraAppPage extends BasicWizardPage
    implements NewAppProperties {
    private NewAppPanel  panel = null;
    private BorderLayout layoutMain;

    /**
     * Constructor declaration
     *
     *
     * @see
     */
    public EnhydraAppPage() {
	try {
	    jbInit();
            pmInit();
	} catch (Exception e) {
	    e.printStackTrace();
	}
    }

    /**
     * Method declaration
     *
     *
     * @throws Exception
     *
     * @see
     */
    private void jbInit() throws Exception {
	panel = (NewAppPanel) Beans.instantiate(getClass().getClassLoader(),
						NewAppPanel.class.getName());
	layoutMain =
	    (BorderLayout) Beans.instantiate(getClass().getClassLoader(),
					     BorderLayout.class.getName());

	layoutMain.setHgap(5);
	layoutMain.setVgap(5);
	panel.setPreferredSize(new Dimension(300, 200));
	this.setLayout(layoutMain);
	this.setPageStyle(1);
	this.add(panel, BorderLayout.CENTER);
    }

    private void pmInit() {
      setLargeIcon(IconSet.getLargeIcon());
      setSmallIcon(IconSet.getSmallIcon());
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getAppName() {
	return panel.getAppName();
    }

    /**
     * Method declaration
     *
     *
     * @param n
     *
     * @see
     */
    public void setAppName(String n) {
	panel.setAppName(n);
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getRootDir() {
	return panel.getRootDir();
    }

    /**
     * Method declaration
     *
     *
     * @param d
     *
     * @see
     */
    public void setRootDir(String d) {
	panel.setRootDir(d);
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getPackageName() {
	return panel.getPackageName();
    }

    /**
     * Method declaration
     *
     *
     * @param n
     *
     * @see
     */
    public void setPackageName(String n) {
	panel.setPackageName(n);
    }

    /**
     * Method declaration
     *
     *
     * @param d
     *
     * @see
     */
    public void setEnhydraDir(String d) {
	panel.setEnhydraDir(d);
    }

    /**
     * Method declaration
     *
     *
     * @return
     *
     * @see
     */
    public String getEnhydraDir() {
	return panel.getEnhydraDir();
    }

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

