/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: WinHTMLFileNode.java,v 1.1.2.6 2000/02/13 03:41:15 pmahar Exp $
 */


package org.enhydra.ide.jbuilder.win32.node;

import org.enhydra.ide.jbuilder.win32.dll.Native;
import org.enhydra.ide.jbuilder.common.node.OtterHTMLFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import org.enhydra.ide.jbuilder.common.PropUtil;

import com.borland.jbuilder.addin.Node;
import com.borland.jbuilder.addin.HtmlNode;
import com.borland.jbuilder.addin.Project;
import com.borland.jbuilder.addin.Url;
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WinHTMLFileNode extends WinNode implements OtterHTMLFileNode {
    private String javacDirectory = new String();

    public WinHTMLFileNode(HtmlNode n) {
        super((Node)n);
    }

    /**
     * Constructor declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @see
     */
    public WinHTMLFileNode(OtterProject otterProject, OtterNode otterNode,
			   String file) {
	Node    nativeNode = null;
	Project nativeProject = null;
	Url     url = null;

	if (otterProject.getNativeProject() instanceof Project) {
	    nativeProject = (Project) otterProject.getNativeProject();
	}

	url = new Url(file);
	nativeNode = nativeProject.createNode(url, true);

	nativeProject.addNode(nativeNode);
	setNativeNode(nativeNode);
    }

  public boolean isCompileSelected() {
   String  in = getProperty(COMPILE_SELECTED);
   return PropUtil.stringToBoolean(in, false);
  }

  public void setCompileSelected(boolean b) {
	String flag = b ? "true" : "false";
	setProperty(COMPILE_SELECTED, flag);
  }

  public String getJavacDirectory() {
    return javacDirectory;
  }

  public void setJavacDirectory(String s) {
    javacDirectory = s;
  }

  public void preCompile() {
     String iniClassPath = getProject().getClassPath();
     String iniOutput    = getProject().getOutputDirectory();
     String iniJavacDir  = getJavacDirectory();
     Native.createBcjHideIni(iniClassPath, iniOutput, iniJavacDir);
  }


}




