/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: WinNodeFactory.java,v 1.1.2.4 2000/02/13 03:41:16 pmahar Exp $
 */

package org.enhydra.ide.jbuilder.win32.node;

import org.enhydra.ide.jbuilder.common.node.OtterNodeFactory;
import org.enhydra.ide.jbuilder.common.node.OtterProject;
import org.enhydra.ide.jbuilder.common.node.OtterNode;
import org.enhydra.ide.jbuilder.common.node.OtterFolderNode;
import org.enhydra.ide.jbuilder.common.node.OtterHTMLFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterImageFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterJavaFileNode;
import org.enhydra.ide.jbuilder.common.node.OtterTextFileNode;

/**
 * Class declaration
 *
 *
 * @author
 * @version %I%, %G%
 */
public class WinNodeFactory implements OtterNodeFactory {

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param name
     *
     * @return
     *
     * @see
     */
    public OtterFolderNode createFolderNode(OtterProject otterProject, 
					    OtterNode otterNode, 
					    String name) {
	OtterFolderNode folder = new WinFolderNode(otterProject, otterNode, 
						   name);

	return folder;
    } 

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterJavaFileNode createJavaFileNode(OtterProject otterProject, 
						OtterNode otterNode, 
						String file) {
	OtterJavaFileNode javaFile = new WinJavaFileNode(otterProject, 
		otterNode, file);

	return javaFile;
    } 

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterHTMLFileNode createHTMLFileNode(OtterProject otterProject, 
						OtterNode otterNode, 
						String file) {
	OtterHTMLFileNode html = new WinHTMLFileNode(otterProject, otterNode, 
		file);

	return html;
    } 

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterImageFileNode createImageFileNode(OtterProject otterProject, 
	    OtterNode otterNode, String file) {
	OtterImageFileNode image = new WinImageFileNode(otterProject, 
		otterNode, file);

	return image;
    } 

    /**
     * Method declaration
     *
     *
     * @param otterProject
     * @param otterNode
     * @param file
     *
     * @return
     *
     * @see
     */
    public OtterTextFileNode createTextFileNode(OtterProject otterProject, 
						OtterNode otterNode, 
						String file) {
	OtterTextFileNode text = new WinTextFileNode(otterProject, otterNode, 
		file);

	return text;
    } 

}



/*--- formatting done in "Sun Java Convention" style on 01-16-2000 ---*/

